psychopy.org | Reference | Downloads | Github

'Noise stimuli' in my PC (Win10) does not work

OS: Win10 AND macOS High Sierra v10.13.1
PsychoPy version: 1.85.3

Hi all
My PsychoPy experiment was made in a macBook (macOs 10.13.1) and I used version 1.84.3. One of the stimuli in the experiment is the Noise stimuli (NoiseStim/noise_2) that generates a range of different types of random visual patterns. When I try to run the experiment in a PC it doesn’t recognize the NoiseStim (apperantly its from the future!) and it won’t run. I have tried versions 1.85.3, 1.85.4 and 1.85.6 on my PC. The problem is that I have to use the PC in the data collection, so any help is truly appreciated!

The full error message (Sorry, I know it’s long!):

1.3672 WARNING Parameter ‘noiseFilterUpper’ is not known to this version of PsychoPy but has come from your experiment file (saved by a future version of PsychoPy?). This experiment may not run correctly in the current version.
1.3707 WARNING Parameter ‘color’ is not known to this version of PsychoPy but has come from your experiment file (saved by a future version of PsychoPy?). This experiment may not run correctly in the current version.
1.3729 WARNING Parameter ‘colorSpace’ is not known to this version of PsychoPy but has come from your experiment file (saved by a future version of PsychoPy?). This experiment may not run correctly in the current version.
1.3753 WARNING Parameter ‘pos’ is not known to this version of PsychoPy but has come from your experiment file (saved by a future version of PsychoPy?). This experiment may not run correctly in the current version.
1.3790 WARNING Parameter ‘stopType’ is not known to this version of PsychoPy but has come from your experiment file (saved by a future version of PsychoPy?). This experiment may not run correctly in the current version.
1.3814 WARNING Parameter ‘blendmode’ is not known to this version of PsychoPy but has come from your experiment file (saved by a future version of PsychoPy?). This experiment may not run correctly in the current version.
1.3848 WARNING Parameter ‘noiseBaseSf’ is not known to this version of PsychoPy but has come from your experiment file (saved by a future version of PsychoPy?). This experiment may not run correctly in the current version.
1.3888 WARNING Parameter ‘startVal’ is not known to this version of PsychoPy but has come from your experiment file (saved by a future version of PsychoPy?). This experiment may not run correctly in the current version.
1.3923 WARNING Parameter ‘size’ is not known to this version of PsychoPy but has come from your experiment file (saved by a future version of PsychoPy?). This experiment may not run correctly in the current version.
1.3952 WARNING Parameter ‘noiseClip’ is not known to this version of PsychoPy but has come from your experiment file (saved by a future version of PsychoPy?). This experiment may not run correctly in the current version.
1.3974 WARNING Parameter ‘noiseImage’ is not known to this version of PsychoPy but has come from your experiment file (saved by a future version of PsychoPy?). This experiment may not run correctly in the current version.
1.3998 WARNING Parameter ‘noiseNewSample’ is not known to this version of PsychoPy but has come from your experiment file (saved by a future version of PsychoPy?). This experiment may not run correctly in the current version.
1.4023 WARNING Parameter ‘noiseNewSampleWhen’ is not known to this version of PsychoPy but has come from your experiment file (saved by a future version of PsychoPy?). This experiment may not run correctly in the current version.
1.4058 WARNING Parameter ‘noiseBWO’ is not known to this version of PsychoPy but has come from your experiment file (saved by a future version of PsychoPy?). This experiment may not run correctly in the current version.
1.4082 WARNING Parameter ‘noiseFilterLower’ is not known to this version of PsychoPy but has come from your experiment file (saved by a future version of PsychoPy?). This experiment may not run correctly in the current version.
1.4108 WARNING Parameter ‘units’ is not known to this version of PsychoPy but has come from your experiment file (saved by a future version of PsychoPy?). This experiment may not run correctly in the current version.
1.4146 WARNING Parameter ‘contrast’ is not known to this version of PsychoPy but has come from your experiment file (saved by a future version of PsychoPy?). This experiment may not run correctly in the current version.
1.4174 WARNING Parameter ‘opacity’ is not known to this version of PsychoPy but has come from your experiment file (saved by a future version of PsychoPy?). This experiment may not run correctly in the current version.
1.4206 WARNING Parameter ‘stopVal’ is not known to this version of PsychoPy but has come from your experiment file (saved by a future version of PsychoPy?). This experiment may not run correctly in the current version.
1.4246 WARNING Parameter ‘durationEstim’ is not known to this version of PsychoPy but has come from your experiment file (saved by a future version of PsychoPy?). This experiment may not run correctly in the current version.
1.4274 WARNING Parameter ‘interpolate’ is not known to this version of PsychoPy but has come from your experiment file (saved by a future version of PsychoPy?). This experiment may not run correctly in the current version.
1.4302 WARNING Parameter ‘startEstim’ is not known to this version of PsychoPy but has come from your experiment file (saved by a future version of PsychoPy?). This experiment may not run correctly in the current version.
1.4337 WARNING Parameter ‘startType’ is not known to this version of PsychoPy but has come from your experiment file (saved by a future version of PsychoPy?). This experiment may not run correctly in the current version.
1.4373 WARNING Parameter ‘ori’ is not known to this version of PsychoPy but has come from your experiment file (saved by a future version of PsychoPy?). This experiment may not run correctly in the current version.
1.4414 WARNING Parameter ‘phase’ is not known to this version of PsychoPy but has come from your experiment file (saved by a future version of PsychoPy?). This experiment may not run correctly in the current version.
1.4443 WARNING Parameter ‘noiseFilterOrder’ is not known to this version of PsychoPy but has come from your experiment file (saved by a future version of PsychoPy?). This experiment may not run correctly in the current version.
1.4472 WARNING Parameter ‘noiseBW’ is not known to this version of PsychoPy but has come from your experiment file (saved by a future version of PsychoPy?). This experiment may not run correctly in the current version.
1.4506 WARNING Parameter ‘texture resolution’ is not known to this version of PsychoPy but has come from your experiment file (saved by a future version of PsychoPy?). This experiment may not run correctly in the current version.
1.4545 WARNING Parameter ‘noiseElementSize’ is not known to this version of PsychoPy but has come from your experiment file (saved by a future version of PsychoPy?). This experiment may not run correctly in the current version.
1.4582 WARNING Parameter ‘mask’ is not known to this version of PsychoPy but has come from your experiment file (saved by a future version of PsychoPy?). This experiment may not run correctly in the current version.
1.4610 WARNING Parameter ‘noiseFractalPower’ is not known to this version of PsychoPy but has come from your experiment file (saved by a future version of PsychoPy?). This experiment may not run correctly in the current version.
1.4638 WARNING Parameter ‘sf’ is not known to this version of PsychoPy but has come from your experiment file (saved by a future version of PsychoPy?). This experiment may not run correctly in the current version.
1.4671 WARNING Parameter ‘noiseType’ is not known to this version of PsychoPy but has come from your experiment file (saved by a future version of PsychoPy?). This experiment may not run correctly in the current version.

As the error message says, the experiment was created on a newer version than the version on this computer. You’ll need to update that version. Specifically, the noise stim hasn’t actually been released yet. How did you install it?

For my experiment I installed PsychoPy v1.85.3. on macOS and there I found the noise stim, which was excactly what I needed and it works perfectly on my MacBook but not on the PC. Was I not supposed to be able to have this noise stim?

Ahah, that explains it! Yes, as it happens that was an accidental. 1.85.3 release on the mac was a mistaken packaging of the next major release (1.90.0) which is on its way.